namespace NIDAQmx
{
    public class IO : BaseDevice
    {
        internal IO(DAQmxSession session, string deviceName) : base(session, deviceName)
        {
            AI = new AI(session, deviceName);
            AO = new AO(session, deviceName);
            DI= new DI(session, deviceName);
            DO=new DO(session, deviceName);
            CI=new CI(session, deviceName);
            CO=new CO(session, deviceName);
        }
        public AI AI { get; }
        public AO AO { get; }
        public DI DI { get; }
        public DO DO { get; }
        public CI CI { get; }
        public CO CO { get; }
    }
}
